Index: binary-improvements/7dtd-server-fixes/src/JSON/JSONObject.cs
===================================================================
--- binary-improvements/7dtd-server-fixes/src/JSON/JSONObject.cs	(revision 326)
+++ binary-improvements/7dtd-server-fixes/src/JSON/JSONObject.cs	(revision 351)
@@ -6,7 +6,7 @@
 		private readonly Dictionary<string, JSONNode> nodes = new Dictionary<string, JSONNode> ();
 
-		public JSONNode this [string name] {
-			get { return nodes [name]; }
-			set { nodes [name] = value; }
+		public JSONNode this [string _name] {
+			get { return nodes [_name]; }
+			set { nodes [_name] = value; }
 		}
 
@@ -19,66 +19,66 @@
 		}
 
-		public bool ContainsKey (string name) {
-			return nodes.ContainsKey (name);
+		public bool ContainsKey (string _name) {
+			return nodes.ContainsKey (_name);
 		}
 
-		public void Add (string name, JSONNode node) {
-			nodes.Add (name, node);
+		public void Add (string _name, JSONNode _node) {
+			nodes.Add (_name, _node);
 		}
 
-		public override void ToString (StringBuilder stringBuilder, bool prettyPrint = false, int currentLevel = 0) {
-			stringBuilder.Append ("{");
-			if (prettyPrint) {
-				stringBuilder.Append ('\n');
+		public override void ToString (StringBuilder _stringBuilder, bool _prettyPrint = false, int _currentLevel = 0) {
+			_stringBuilder.Append ("{");
+			if (_prettyPrint) {
+				_stringBuilder.Append ('\n');
 			}
 
 			foreach (KeyValuePair<string, JSONNode> kvp in nodes) {
-				if (prettyPrint) {
-					stringBuilder.Append (new string ('\t', currentLevel + 1));
+				if (_prettyPrint) {
+					_stringBuilder.Append (new string ('\t', _currentLevel + 1));
 				}
 
-				stringBuilder.Append (string.Format ("\"{0}\":", kvp.Key));
-				if (prettyPrint) {
-					stringBuilder.Append (" ");
+				_stringBuilder.Append (string.Format ("\"{0}\":", kvp.Key));
+				if (_prettyPrint) {
+					_stringBuilder.Append (" ");
 				}
 
-				kvp.Value.ToString (stringBuilder, prettyPrint, currentLevel + 1);
-				stringBuilder.Append (",");
-				if (prettyPrint) {
-					stringBuilder.Append ('\n');
+				kvp.Value.ToString (_stringBuilder, _prettyPrint, _currentLevel + 1);
+				_stringBuilder.Append (",");
+				if (_prettyPrint) {
+					_stringBuilder.Append ('\n');
 				}
 			}
 
 			if (nodes.Count > 0) {
-				stringBuilder.Remove (stringBuilder.Length - (prettyPrint ? 2 : 1), 1);
+				_stringBuilder.Remove (_stringBuilder.Length - (_prettyPrint ? 2 : 1), 1);
 			}
 
-			if (prettyPrint) {
-				stringBuilder.Append (new string ('\t', currentLevel));
+			if (_prettyPrint) {
+				_stringBuilder.Append (new string ('\t', _currentLevel));
 			}
 
-			stringBuilder.Append ("}");
+			_stringBuilder.Append ("}");
 		}
 
-		public static JSONObject Parse (string json, ref int offset) {
+		public static JSONObject Parse (string _json, ref int _offset) {
 			//Log.Out ("ParseObject enter (" + offset + ")");
 			JSONObject obj = new JSONObject ();
 
 			bool nextElemAllowed = true;
-			offset++;
+			_offset++;
 			while (true) {
-				Parser.SkipWhitespace (json, ref offset);
-				switch (json [offset]) {
+				Parser.SkipWhitespace (_json, ref _offset);
+				switch (_json [_offset]) {
 					case '"':
 						if (nextElemAllowed) {
-							JSONString key = JSONString.Parse (json, ref offset);
-							Parser.SkipWhitespace (json, ref offset);
-							if (json [offset] != ':') {
+							JSONString key = JSONString.Parse (_json, ref _offset);
+							Parser.SkipWhitespace (_json, ref _offset);
+							if (_json [_offset] != ':') {
 								throw new MalformedJSONException (
 									"Could not parse object, missing colon (\":\") after key");
 							}
 
-							offset++;
-							JSONNode val = Parser.ParseInternal (json, ref offset);
+							_offset++;
+							JSONNode val = Parser.ParseInternal (_json, ref _offset);
 							obj.Add (key.GetString (), val);
 							nextElemAllowed = false;
@@ -92,5 +92,5 @@
 						if (!nextElemAllowed) {
 							nextElemAllowed = true;
-							offset++;
+							_offset++;
 						} else {
 							throw new MalformedJSONException (
@@ -100,5 +100,5 @@
 						break;
 					case '}':
-						offset++;
+						_offset++;
 
 						//Log.Out ("JSON:Parsed Object: " + obj.ToString ());
